### Class

# Cogl Bitmap

since: 13

#### Description

    final class Cogl.Bitmap : GObject.TypeInstance
    {
      /* No available fields */
    }

No description available.

Available since: 13

#### Ancestors

- CoglObject

#### Constructors

###### cogl_bitmap_new_for_data

Creates a bitmap using some existing data. The data is not copied so the application must keep the buffer alive for the lifetime of the `CoglBitmap`. This can be used for example with `cogl_framebuffer_read_pixels_into_bitmap()` to read data directly into an application buffer with the specified rowstride.

since: 13

###### cogl_bitmap_new_from_buffer

Wraps some image data that has been uploaded into a `CoglBuffer` as a `CoglBitmap`. The data is not copied in this process.

since: 13

###### cogl_bitmap_new_from_file

Loads an image file from disk. This function can be safely called from within a thread.

since: 13

###### cogl_bitmap_new_with_size

Creates a new `CoglBitmap` with the given width, height and format. The initial contents of the bitmap are undefined.

since: 13

#### Functions

###### cogl_bitmap_error_quark

No description available.

since: 13

###### cogl_bitmap_get_size_from_file

Parses an image file enough to extract the width and height of the bitmap.

since: 13

#### Instance methods

###### cogl_bitmap_get_buffer

No description available.

since: 13

###### cogl_bitmap_get_format

No description available.

since: 13

###### cogl_bitmap_get_height

No description available.

since: 13

###### cogl_bitmap_get_rowstride

No description available.

since: 13

###### cogl_bitmap_get_width

No description available.

since: 13

##### Methods inherited from CoglObject (2)

###### cogl_object_get_user_data

Finds the user data previously associated with `object` using the given `key`. If no user data has been associated with `object` for the given `key` this function returns NULL.

since: 13

###### cogl_object_set_user_data

Associates some private `user_data` with a given `CoglObject`. To later remove the association call `cogl_object_set_user_data()` with the same `key` but NULL for the `user_data`.

since: 13